{
	"name": "olap_services_ui",
	"version": "0.0.1",
	"license": "MIT",
	"dependencies": {
		"@fortawesome/fontawesome-svg-core": "^6.4.0",
		"@fortawesome/free-brands-svg-icons": "^6.4.0",
		"@fortawesome/free-regular-svg-icons": "^6.4.0",
		"@fortawesome/free-solid-svg-icons": "^6.4.0",
		"@fortawesome/react-fontawesome": "^0.2.0",
		"@popperjs/core": "^2.11.8",
		"@reduxjs/toolkit": "^2.2.3",
		"autoprefixer": "^10.4.14",
		"axios": "^0.24.0",
		"bootstrap": "^5.3.0",
		"canvas": "^2.11.2",
		"css-loader": "^6.8.1",
		"dotenv-webpack": "^8.0.1",
		"konva": "^9.3.6",
		"moment": "^2.29.4",
		"postcss-loader": "^7.3.3",
		"react": "^18.3.1",
		"react-bootstrap": "^2.8.0",
		"react-complex-tree": "^2.2.3",
		"react-dom": "^18.3.1",
		"react-icons": "^4.3.1",
		"react-json-view": "^1.21.3",
		"react-konva": "^18.2.10",
		"react-redux": "^7.2.6",
		"react-use": "^17.5.0",
		"react-virtualized": "^9.22.5",
		"redux-logger": "^3.0.6",
		"sass": "^1.63.6",
		"sass-loader": "^13.3.2",
		"save-dev": "^0.0.1-security",
		"scroller": "^0.0.3",
		"strip-ansi": "^7.1.0",
		"style-loader": "^3.3.3",
		"styled-components": "^5.3.3",
		"tiny-invariant": "^1.3.3"
	},
	"scripts": {
		"start": "webpack serve --config webpack.dev.config.ts",
		"build": "webpack --config webpack.dev.config.ts",
		"test": "jest --coverage false --silent false"
	},
	"peerDependencies": {
		"react": ">=18.2.0",
		"react-dom": ">=18.2.0"
	},
	"devDependencies": {
		"@babel/core": "^7.16.5",
		"@babel/plugin-transform-modules-commonjs": "^7.24.1",
		"@babel/plugin-transform-runtime": "^7.16.5",
		"@babel/preset-env": "^7.16.5",
		"@babel/preset-react": "^7.16.5",
		"@babel/preset-typescript": "^7.16.5",
		"@babel/register": "^7.16.5",
		"@babel/runtime": "^7.16.5",
		"@testing-library/react": "^15.0.7",
		"@testing-library/react-hooks": "^8.0.1",
		"@types/fork-ts-checker-webpack-plugin": "^0.4.5",
		"@types/jest": "^27.0.3",
		"@types/react": "^18.3.2",
		"@types/react-dom": "^18.3.0",
		"@types/react-redux": "^7.1.22",
		"@types/react-virtualized": "^9.21.30",
		"@types/redux-logger": "^3.0.13",
		"@types/scroller": "^0.1.5",
		"@types/styled-components": "^5.1.19",
		"@types/webpack-dev-server": "^4.7.2",
		"@typescript-eslint/eslint-plugin": "^5.8.0",
		"@typescript-eslint/parser": "^5.8.0",
		"babel-loader": "^8.2.3",
		"clean-webpack-plugin": "^4.0.0",
		"eslint": "^8.5.0",
		"eslint-plugin-react": "^7.28.0",
		"eslint-plugin-react-hooks": "^4.3.0",
		"eslint-webpack-plugin": "^3.1.1",
		"fork-ts-checker-webpack-plugin": "^6.5.0",
		"html-webpack-plugin": "^5.5.0",
		"jest": "^27.4.5",
		"jest-environment-jsdom": "^29.7.0",
		"react-test-renderer": "^18.3.1",
		"redux-devtools-extension": "^2.13.9",
		"ts-jest": "^27.1.2",
		"typescript": "^4.5.4",
		"webpack": "^5.65.0",
		"webpack-cli": "^4.9.1",
		"webpack-dev-server": "^4.7.1"
	}
}
